import { PrismaClient } from '@prisma/client'

export default async function getPayers(prisma: PrismaClient, page: number, limit: number) {
	const payers = await prisma.payer.findMany({
		skip: (page - 1) * limit,
		take: limit,
		orderBy: {
			payer_id: 'asc'
		}
	})
	return payers.map(payer => {
		return {
			id: payer.payer_id,
			name: payer.payer_name,
			address: payer.payer_address.split('\n'),
			email: payer.payer_email,
			abn: payer.payer_abn
		}
	})
}